#ifndef ROW_H
#define ROW_H

#include <QWidget>

class TVariant;

class Row : public QWidget
{
    Q_OBJECT
public:

    explicit Row(const QStringList& parts, QWidget *parent = 0);

    bool isShutterSelected() const;

    bool isValveSelected() const;

    QString section() const;

    QString vlvFeSource() const;

    QString shutterSource() const;

    void setValveSelected(bool select);

    void setShutterSelected(bool select);

    bool isVlvFETango() const;

signals:
    void selectionChanged(bool valve, bool checked);

private slots:
    void checkboxStateChanged(bool);

    void valveStateChanged(const TVariant &v);

private:
    QString mSection, mVlvfeSource, mPhshDev;
};

#endif // ROW_H
